/*
 * pow.h
 *
 *  Created on: 02-06-2014
 *      Author: Krzysztof Jakubczyk
 */

#ifndef POW_H_
#define POW_H_

#include "tdefs.h"

struct pow_logic
{
	float *in_ptr;
	float *out_ptr;
};

struct pow_io
{
	u32 in_float_in;
	u32 out_float_out;
}__attribute__((__packed__));

struct pow_params
{
}__attribute__((__packed__));

struct pow_args
{
	struct pow_io io;
	struct pow_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void pow_1(void *args, void *logic);
extern int pow_initlog(void *arguments, void *logic);

#endif /* POW_H_ */
